Boomi MFT - AFT Management API Reference (v1) - FlowEndpointEmailNotifications
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Retrieves a specific email notification configuration by ID
Returns email notification configuration including recipients and trigger events.
Authorizations:
path Parameters
| flowEndpointEmailNotificationId required | integer <int32> Unique identifier of the email notification configuration |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
string or null | |
| notifyQueueDepth | boolean |
| notifyInactivity | boolean |
| notifyError | boolean |
| notifyTranferComplete | boolean |
| notifyQuarantined | boolean |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Response samples
- 200
- 403
- 500
Deletes a specific email notification configuration
Removes email notification configuration from flow endpoint.
Authorizations:
path Parameters
| flowEndpointEmailNotificationId required | integer <int32> Unique identifier of the email notification configuration to delete |
Responses
Response Schema:
object (thruStatus) | |
| data | any or null |
Response samples
- 200
- 403
- 500
Retrieves all email notification configurations for a specific flow endpoint
Returns list of email notification configurations for a flow endpoint.
Authorizations:
query Parameters
| flowEndpointId required | integer <int32> Unique identifier of the flow endpoint |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
string or null | |
| notifyQueueDepth | boolean |
| notifyInactivity | boolean |
| notifyError | boolean |
| notifyTranferComplete | boolean |
| notifyQuarantined | boolean |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Response samples
- 200
- 403
- 500
Creates a new email notification configuration for a flow endpoint
Establishes new email notification with specified recipients and event triggers.
Authorizations:
Request Body schema:
Email notification configuration details including recipients and triggers
| id | integer <int32> |
| flowEndpointId | integer <int32> |
string or null | |
| notifyQueueDepth | boolean |
| notifyInactivity | boolean |
| notifyError | boolean |
| notifyTranferComplete | boolean |
| notifyQuarantined | boolean |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
string or null | |
| notifyQueueDepth | boolean |
| notifyInactivity | boolean |
| notifyError | boolean |
| notifyTranferComplete | boolean |
| notifyQuarantined | boolean |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Request samples
- Payload
{- "id": 0,
- "flowEndpointId": 0,
- "email": "string",
- "notifyQueueDepth": true,
- "notifyInactivity": true,
- "notifyError": true,
- "notifyTranferComplete": true,
- "notifyQuarantined": true,
- "createdBy": "string",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "deletedBy": "string",
- "deletedDate": "2019-08-24T14:15:22Z"
}Response samples
- 200
- 403
- 500
Updates an existing email notification configuration for a flow endpoint
Modifies existing email notification configuration including recipients and triggers.
Authorizations:
Request Body schema:
Updated email notification configuration details
| id | integer <int32> |
| flowEndpointId | integer <int32> |
string or null | |
| notifyQueueDepth | boolean |
| notifyInactivity | boolean |
| notifyError | boolean |
| notifyTranferComplete | boolean |
| notifyQuarantined | boolean |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
string or null | |
| notifyQueueDepth | boolean |
| notifyInactivity | boolean |
| notifyError | boolean |
| notifyTranferComplete | boolean |
| notifyQuarantined | boolean |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Request samples
- Payload
{- "id": 0,
- "flowEndpointId": 0,
- "email": "string",
- "notifyQueueDepth": true,
- "notifyInactivity": true,
- "notifyError": true,
- "notifyTranferComplete": true,
- "notifyQuarantined": true,
- "createdBy": "string",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "deletedBy": "string",
- "deletedDate": "2019-08-24T14:15:22Z"
}Response samples
- 200
- 403
- 500
Saves email notification configuration (creates new or updates existing based on ID)
Performs upsert operation: creates new configuration if ID is 0, otherwise updates existing configuration
Authorizations:
Request Body schema:
Email notification configuration to save (performs upsert based on record ID)
| id | integer <int32> |
| flowEndpointId | integer <int32> |
string or null | |
| notifyQueueDepth | boolean |
| notifyInactivity | boolean |
| notifyError | boolean |
| notifyTranferComplete | boolean |
| notifyQuarantined | boolean |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
string or null | |
| notifyQueueDepth | boolean |
| notifyInactivity | boolean |
| notifyError | boolean |
| notifyTranferComplete | boolean |
| notifyQuarantined | boolean |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Request samples
- Payload
{- "id": 0,
- "flowEndpointId": 0,
- "email": "string",
- "notifyQueueDepth": true,
- "notifyInactivity": true,
- "notifyError": true,
- "notifyTranferComplete": true,
- "notifyQuarantined": true,
- "createdBy": "string",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "deletedBy": "string",
- "deletedDate": "2019-08-24T14:15:22Z"
}Response samples
- 200
- 403
- 500
Deletes all email notification configurations for a specific flow endpoint
Removes all email notification configurations from a flow endpoint.
Authorizations:
query Parameters
| flowEndpointId required | integer <int32> Unique identifier of the flow endpoint to remove all email notification configurations for |
Responses
Response Schema:
object (thruStatus) | |
| data | any or null |
Response samples
- 200
- 403
- 500